<script>
import { minValue, required, requiredIf } from 'vuelidate/lib/validators';
import { settingService } from '../../../services'
import { error_message, success_message } from '../../../Helper/helper';
import config from '../../../config';
import auth from '../../../router/auth';

export default {
  data() {
    return {
        config:config,
        setting: {
            ios_customer_version: "",
            ios_customer_app_url: "",
            ios_chefs_version: "",
            ios_chefs_app_url: "",
            ios_driver_version: "",
            ios_driver_app_url: "",
            android_customer_version: "",
            android_customer_app_url: "",
            android_chefs_version: "",
            android_chefs_app_url: "",
            android_driver_version: "",
            android_driver_app_url: "",
            user_bundle_id: "",
            partner_bundle_id: "",
            driver_bundle_id: ""
        },
    };
  },
  mounted(){
    this.getSetting();
  },
  validations:{
    setting: {
        ios_customer_version:{
            required
        },
        // ios_customer_app_url:{
        //     required
        // },
        ios_chefs_version:{
            required
        },
        // ios_chefs_app_url:{
        //     required
        // },
        ios_driver_version:{
            required
        },
        // ios_driver_app_url:{
        //     required
        // },
        android_customer_version:{
            required
        },
        // android_customer_app_url:{
        //     required
        // },
        android_chefs_version:{
            required
        },
        // android_chefs_app_url:{
        //     required
        // },
        android_driver_version:{
            required
        },
        // android_driver_app_url:{
        //     required
        // },
        user_bundle_id:{
            required
        },
        partner_bundle_id:{
            required
        },
        driver_bundle_id:{
            required
        },
    },


  },
  methods: {
    getSetting(){
        settingService.getSetting().then((response) => {
            if (response.data.code === 200) {
            this.setting.ios_customer_version = response.data.result.ios_customer_version?? "",
            this.setting.ios_customer_app_url = response.data.result.ios_customer_app_url?? "",
            this.setting.ios_chefs_version = response.data.result.ios_chefs_version?? "",
            this.setting.ios_chefs_app_url = response.data.result.ios_chefs_app_url?? "",
            this.setting.ios_driver_version = response.data.result.ios_driver_version?? "",
            this.setting.ios_driver_app_url = response.data.result.ios_driver_app_url?? "",
            this.setting.android_customer_version = response.data.result.android_customer_version?? "",
            this.setting.android_customer_app_url = response.data.result.android_customer_app_url?? "",
            this.setting.android_chefs_version = response.data.result.android_chefs_version?? "",
            this.setting.android_chefs_app_url = response.data.result.android_chefs_app_url?? "",
            this.setting.android_driver_version = response.data.result.android_driver_version?? "",
            this.setting.android_driver_app_url = response.data.result.android_driver_app_url?? "",
            this.setting.user_bundle_id = response.data.result.user_bundle_id?? "",
            this.setting.partner_bundle_id = response.data.result.partner_bundle_id?? "",
            this.setting.driver_bundle_id = response.data.result.driver_bundle_id?? ""
            } else {
                error_message(response.data.message);
            }
        })
    },
    fromSubmit(){
        this.$v.setting.$touch()
        if(this.$v.setting.$invalid){
            return false;
        }else{
            settingService.updateSetting({data:this.setting}).then((response) => {
                if (response.data.code === 200) {
                    success_message(response.data.message);
                    this.getSetting()
                } else {
                    error_message(response.data.message);
                }
            })
        }
    },
  },

};
</script>

<template>
    <div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <form @submit.prevent="fromSubmit">
                            <!-- IOS Versions -->
                            <div class="row">
                                <div class="col-md-4">
                                    <h5>{{ trans.get('__JSON__.IOS Versions')}}</h5>
                                </div>
                                <div class="col-md-8">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.User Version')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_customer_version.$model"
                                            :class="{'is-invalid' : $v.setting.ios_customer_version.$error}"
                                            >
                                            <div v-if="$v.setting.ios_customer_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_customer_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.User App URL')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_customer_app_url.$model"
                                            :class="{'is-invalid' : $v.setting.ios_customer_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.ios_customer_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_customer_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                    <div class="row mt-4">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Client Version',{client: $auth.getRestaurantName()})}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_chefs_version.$model"
                                            :class="{'is-invalid' : $v.setting.ios_chefs_version.$error}"
                                            >
                                            <div v-if="$v.setting.ios_chefs_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_chefs_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Client App URL', {client: $auth.getRestaurantName()})}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_chefs_app_url.$model"
                                            :class="{'is-invalid' : $v.setting.ios_chefs_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.ios_chefs_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_chefs_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                    <div class="row mt-4">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Drivers Version')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_driver_version.$model"
                                            :class="{'is-invalid' : $v.setting.ios_driver_version.$error}"
                                            >
                                            <div v-if="$v.setting.ios_driver_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_driver_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Drivers App URL')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.ios_driver_app_url.$model"
                                            :class="{'is-invalid' : $v.setting.ios_driver_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.ios_driver_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.ios_driver_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <!-- Android Versions -->
                            <div class="row mt-4">
                                <div class="col-md-4">
                                    <h5>{{ trans.get('__JSON__.Android Versions')}}</h5>
                                </div>
                                <div class="col-md-8">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.User Version')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_customer_version.$model"
                                            :class="{'is-invalid':$v.setting.android_customer_version.$error}"
                                            >
                                            <div v-if="$v.setting.android_customer_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_customer_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.User App URL')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_customer_app_url.$model"
                                            :class="{'is-invalid':$v.setting.android_customer_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.android_customer_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_customer_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                    <div class="row mt-4">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Client Version', {client: $auth.getRestaurantName()} ) }}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_chefs_version.$model"
                                            :class="{'is-invalid':$v.setting.android_chefs_version.$error}"
                                            >
                                            <div v-if="$v.setting.android_chefs_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_chefs_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Client App URL',{client: $auth.getRestaurantName()})}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_chefs_app_url.$model"
                                            :class="{'is-invalid':$v.setting.android_chefs_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.android_chefs_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_chefs_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                    <div class="row mt-4">
                                        <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Drivers Version')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_driver_version.$model"
                                            :class="{'is-invalid':$v.setting.android_driver_version.$error}"
                                            >
                                            <div v-if="$v.setting.android_driver_version.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_driver_version.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <!-- <div class="col-md-6">
                                            <h6>{{ trans.get('__JSON__.Drivers App URL')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.android_driver_app_url.$model"
                                            :class="{'is-invalid':$v.setting.android_driver_app_url.$error}"
                                            >
                                            <div v-if="$v.setting.android_driver_app_url.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.android_driver_app_url.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <!-- Bundle ID -->
                            <div class="row mt-4">
                                <div class="col-md-4">
                                    <h5>{{ trans.get('__JSON__.Bundle ID')}}</h5>
                                </div>
                                <div class="col-md-8">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <h6>{{ trans.get('__JSON__.User Bundle ID')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.user_bundle_id.$model"
                                            :class="{'is-invalid':$v.setting.user_bundle_id.$error}"
                                            >
                                            <div v-if="$v.setting.user_bundle_id.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.user_bundle_id.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <h6>{{ trans.get('__JSON__.Client Bundle ID',{client: $auth.getRestaurantName()})}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.partner_bundle_id.$model"
                                            :class="{'is-invalid':$v.setting.partner_bundle_id.$error}"
                                            >
                                            <div v-if="$v.setting.partner_bundle_id.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.partner_bundle_id.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <h6>{{ trans.get('__JSON__.Drivers Bundle ID')}}</h6>
                                            <input type="text" class="form-control"
                                            v-model="$v.setting.driver_bundle_id.$model"
                                            :class="{'is-invalid':$v.setting.driver_bundle_id.$error}"
                                            >
                                            <div v-if="$v.setting.driver_bundle_id.$error" class="invalid-feedback">
                                                <span v-if="!$v.setting.driver_bundle_id.required">
                                                    {{ trans.get('__JSON__.This field is required') }}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <hr>
                            <button type="submit" class="form-controle btn btn-primary">
                                {{ trans.get('__JSON__.Update') }}
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

